Package org.apache.sysds.runtime.io

# Enum Class FileFormatPropertiesMM.MMField

java.lang.Object
java.lang.Enum<FileFormatPropertiesMM.MMField>
org.apache.sysds.runtime.io.FileFormatPropertiesMM.MMField

All Implemented Interfaces:
  `Serializable`, `Comparable<FileFormatPropertiesMM.MMField>`, `Constable`

Enclosing class:
  FileFormatPropertiesMM

public static enum FileFormatPropertiesMM.MMField extends Enum<FileFormatPropertiesMM.MMField>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMPLEX`
`INTEGER`
`PATTERN`
`REAL`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static FileFormatPropertiesMM.MMField`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FileFormatPropertiesMM.MMField[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REAL

public static final FileFormatPropertiesMM.MMField REAL

### INTEGER

public static final FileFormatPropertiesMM.MMField INTEGER

### COMPLEX

public static final FileFormatPropertiesMM.MMField COMPLEX

### PATTERN

public static final FileFormatPropertiesMM.MMField PATTERN

## Method Details

### values

public static FileFormatPropertiesMM.MMField[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FileFormatPropertiesMM.MMField valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FileFormatPropertiesMM.MMField>`